package com.fireworksdk.bridge.models

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

@Parcelize
data class FWVideoPlaybackDetails(
  val autoplay: Boolean?,
  val badge: String?,
  val caption: String?,
  val duration: Long?,
  @SerializedName("has_cta")
  val hasCta: Boolean?,
  val height: Int?,
  val width: Int?,
  @SerializedName("video_id")
  val videoId: String?
) : Parcelable
